Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create admin API key

client.admin.organization.adminAPIKeys.create(body, options?): AdminAPIKeyCreateResponse { value }
POST
/organization/admin_api_keys

Create an organization admin API key

Parameters
body: AdminAPIKeyCreateParams { name, expires_in_seconds }
name: string
expires_in_seconds?: number

The number of seconds until the API key expires. Omit this field for a key that does not expire.

minimum1
maximum31536000
Returns
AdminAPIKeyCreateResponse extends AdminAPIKey { id, created_at, expires_at, 5 more } { value }

Represents an individual Admin API key in an org.

value: string

The value of the API key. Only shown on create.

Create admin API key

import OpenAI from 'openai';

const client = new OpenAI({
  adminAPIKey: process.env['OPENAI_ADMIN_KEY'], // This is the default and can be omitted
});

const adminAPIKey = await client.admin.organization.adminAPIKeys.create({ name: 'New Admin Key' });

console.log(adminAPIKey);
{
  "object": "organization.admin_api_key",
  "id": "key_xyz",
  "name": "New Admin Key",
  "redacted_value": "sk-admin...xyz",
  "created_at": 1711471533,
  "expires_at": 1714063533,
  "last_used_at": 1711471534,
  "owner": {
    "type": "user",
    "object": "organization.user",
    "id": "user_123",
    "name": "John Doe",
    "created_at": 1711471533,
    "role": "owner"
  },
  "value": "sk-admin-1234abcd"
}
Returns Examples
{
  "object": "organization.admin_api_key",
  "id": "key_xyz",
  "name": "New Admin Key",
  "redacted_value": "sk-admin...xyz",
  "created_at": 1711471533,
  "expires_at": 1714063533,
  "last_used_at": 1711471534,
  "owner": {
    "type": "user",
    "object": "organization.user",
    "id": "user_123",
    "name": "John Doe",
    "created_at": 1711471533,
    "role": "owner"
  },
  "value": "sk-admin-1234abcd"
}